import React from "react";
import PropTypes from "prop-types";
interface Props {
    value?: number | string;
    onAfterChange?: (ev: React.ChangeEvent<HTMLInputElement>, value: number) => void;
    min?: number;
    max?: number;
    step?: number;
    disabled?: boolean;
    size?: "sm" | "lg";
    variant?: "primary" | "secondary" | "success" | "danger" | "warning" | "info" | "dark" | "light";
    inputProps?: object;
    tooltip?: "auto" | "on" | "off";
    tooltipPlacement?: "top" | "bottom";
    tooltipLabel?: (value: number) => string | React.ReactElement<any, string | React.JSXElementConstructor<any>>;
    tooltipStyle?: object;
    tooltipProps?: object;
    className?: string;
    bsPrefix?: string;
    setValue?: any;
}
declare const Slider: {
    (props: Props): JSX.Element;
    propTypes: {
        value: PropTypes.Requireable<string | number>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        onAfterChange: PropTypes.Requireable<(...args: any[]) => any>;
        min: PropTypes.Requireable<number>;
        max: PropTypes.Requireable<number>;
        step: PropTypes.Requireable<number>;
        disabled: PropTypes.Requireable<boolean>;
        size: PropTypes.Requireable<string>;
        variant: PropTypes.Requireable<string>;
        inputProps: PropTypes.Requireable<object>;
        tooltip: PropTypes.Requireable<string>;
        tooltipPlacement: PropTypes.Requireable<string>;
        tooltipLabel: PropTypes.Requireable<(...args: any[]) => any>;
        tooltipStyle: PropTypes.Requireable<object>;
        tooltipProps: PropTypes.Requireable<object>;
        className: PropTypes.Requireable<string>;
        bsPrefix: PropTypes.Requireable<string>;
    };
    defaultProps: {
        min: number;
        max: number;
        step: number;
    };
};
export default Slider;
export { Slider as CDBSlider };
